import {InputDeviceSwitch} from "./InputDeviceSwitch";
import Signal from "../../../core/events/signal/Signal";

export default class KeyboardDevice {
    constructor(domElement:EventTarget|Element)

    readonly on: {up:Signal,down:Signal}

    readonly keys:{[key:string]:InputDeviceSwitch}

    start():void

    stop():void
}
